# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "opengl"
  s.version = "0.8.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Eric Hodel", "Alain Hoang", "Jan Dvorak", "Minh Thu Vo", "James Adam"]
  s.date = "2013-02-03"
  s.description = "An OpenGL wrapper for Ruby.  ruby-opengl contains bindings for OpenGL and the\nGLU and GLUT libraries."
  s.email = ["drbrain@segment7.net", "", "", "", ""]
  s.extensions = ["ext/opengl/extconf.rb"]
  s.extra_rdoc_files = ["History.rdoc", "Manifest.txt", "README.rdoc", "docs/build_install.txt", "docs/history.txt", "docs/requirements_and_design.txt", "docs/roadmap.txt", "docs/scientific_use.txt", "docs/thanks.txt", "docs/tutorial.txt", "examples/OrangeBook/3Dlabs-License.txt"]
  s.files = ["History.rdoc", "Manifest.txt", "README.rdoc", "docs/build_install.txt", "docs/history.txt", "docs/requirements_and_design.txt", "docs/roadmap.txt", "docs/scientific_use.txt", "docs/thanks.txt", "docs/tutorial.txt", "examples/OrangeBook/3Dlabs-License.txt", "ext/opengl/extconf.rb"]
  s.homepage = "https://github.com/drbrain/opengl"
  s.rdoc_options = ["--main", "README.rdoc"]
  s.require_paths = ["lib"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.2")
  s.rubyforge_project = "opengl"
  s.rubygems_version = "1.8.25"
  s.summary = "An OpenGL wrapper for Ruby"

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<rdoc>, ["~> 3.10"])
      s.add_development_dependency(%q<rake-compiler>, [">= 0.7.9", "~> 0.7"])
      s.add_development_dependency(%q<hoe>, ["~> 3.3"])
    else
      s.add_dependency(%q<rdoc>, ["~> 3.10"])
      s.add_dependency(%q<rake-compiler>, [">= 0.7.9", "~> 0.7"])
      s.add_dependency(%q<hoe>, ["~> 3.3"])
    end
  else
    s.add_dependency(%q<rdoc>, ["~> 3.10"])
    s.add_dependency(%q<rake-compiler>, [">= 0.7.9", "~> 0.7"])
    s.add_dependency(%q<hoe>, ["~> 3.3"])
  end
end
